Ubuntu

[SRU] Update openvswitch to 1.4.6 stable release

Reported by James Page on 2013-09-02
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
openvswitch (Ubuntu)
Undecided
Unassigned
Precise
Medium
James Page
Quantal
Medium
James Page

Bug Description

Please update openvswitch in precise and quantal to the 1.4.6 release under the provisional MRE granted by the technical board.

[Regression Potential]
For the update for 12.04, upstream re-jigged the PKI directory to reside under /var/lib/openvswitch. The packaging accommodates this change (and a few other picks from the upstream packaging). I've tested upgrade on 12.04 and 12.10 and everything is moved correctly on upgrade and passes the DEP-8 tests from raring
pre and post upgrade.

James Page (james-page) on 2013-09-02
Changed in openvswitch (Ubuntu):
status: New → Invalid
Changed in openvswitch (Ubuntu Precise):
importance: Undecided → Medium
Changed in openvswitch (Ubuntu Quantal):
importance: Undecided → Medium
Changed in openvswitch (Ubuntu Precise):
status: New → Triaged
Changed in openvswitch (Ubuntu Quantal):
status: New → Triaged
Changed in openvswitch (Ubuntu Precise):
assignee: nobody → James Page (james-page)
Changed in openvswitch (Ubuntu Quantal):
assignee: nobody → James Page (james-page)
James Page (james-page) on 2013-09-03
description: updated
James Page (james-page) wrote :

Updates for 12.04 and 12.10 uploaded to the proposed queue for SRU team review.

James Page (james-page) wrote :

Hello James, or anyone else affected,

Accepted openvswitch into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/openvswitch/1.4.6-0ubuntu1.12.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in openvswitch (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed
Changed in openvswitch (Ubuntu Quantal):
status: Triaged → Fix Committed
Dave Walker (davewalker) wrote :

Hello James, or anyone else affected,

Accepted openvswitch into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/openvswitch/1.4.6-0ubuntu1.12.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

David Medberry (med) wrote :

Hi James/Daviey,

I'm getting a kernel oops when I try this on Quantal. Christopher Arges is debugging the OOPS but I can't verify on Quantal as a result. (Note: I believe Quantal also oopses with the existing OVS so it's not necessarily related to 1.4.6 or this specific version/upgrade/release.)

David Medberry (med) wrote :

VMs with OOPS reproducer avail on request.

David Medberry (med) wrote :

Screencap of OOPS.

David Medberry (med) wrote :

Verified that the OOPS is a kernel bug (not the OVS packages) by re-running with
 3.5.0-42-generic #65-Ubuntu SMP Tue Oct 1 23:38:22 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

(3.5.0-44-generic generated the oops.)

Upgrade via quantal-proposed and code in OVS-1.4.6 works fine:

ubuntu@gretest2-clone:~$ dpkg -l openvs\*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-===============================================-============================-============================-===================================================================================================
ii openvswitch-common 1.4.6-0ubuntu1.12.10.1 amd64 Open vSwitch common components
ii openvswitch-datapath-dkms 1.4.6-0ubuntu1.12.10.1 all Open vSwitch datapath module source - DKMS version
ii openvswitch-switch 1.4.6-0ubuntu1.12.10.1 amd64 Open vSwitch switch implementations
ii openvswitch-test 1.4.6-0ubuntu1.12.10.1 all Open vSwitch test package
ubuntu@gretest2-clone:~$

precise-proposed was previously verified.

tags: added: verification-done
removed: verification-needed
Chris J Arges (arges) wrote :

Bug to track above issue:
https://bugs.launchpad.net/ubuntu/+source/openvswitch/+bug/1262692

I am not 100% sure its a kernel or openvswitch dkms issue. I've installed OVS- 1.10 with the affected kernel version and it works fine. So perhaps there is a patch somewhere for OVS 1.4.6 that will fix this issue.

David Medberry (med) wrote :

I see two commits in the branch-1.4 that came after the release. I'll build a version with those and re-run my GRE tests (with the problematic quantal kernel) and see if it recurs. The 1.4 branch is basically end-of-life from OVS upstream as far as I can tell. 1.9 is considered their LTS.

Chris J Arges (arges) on 2013-12-19
tags: added: verification-failed
removed: verification-done
James Page (james-page) wrote :

Hmm - well this is tricky; Chris - have you managed to progress identifying whether this requires an OVS fix or whether its a kernel regression?

Chris J Arges (arges) wrote :

@james-page
I'm tracking the fix in bug 1262692. Essentially the kernel function ip_select_ident has changed prototypes with a stable patch applied to 3.2 / 3.5. I'm creating a patch that will ifdef this change in ovs and allow the test to work. Therefore this isn't a kernel bug, its an ABI change that OVS needs to adapt to. : )

I'll link the branches today for this, and let you review them.

Chris J Arges (arges) wrote :

Debdiffs posted in bug above.

Chris J Arges (arges) on 2014-01-29
tags: added: verification-done-precise verification-done-quantal
removed: verification-failed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openvswitch - 1.4.6-0ubuntu1.12.04.2

---------------
openvswitch (1.4.6-0ubuntu1.12.04.2) precise; urgency=low

  * d/p/0010-datapath_ip_select_ident_fix.patch: linux commit 703133de changes
    the first parameter of ip_select_ident from iph to skb (LP: #1262692)
 -- Chris J Arges <email address hidden> Wed, 08 Jan 2014 13:36:14 -0600

Changed in openvswitch (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openvswitch - 1.4.6-0ubuntu1.12.10.2

---------------
openvswitch (1.4.6-0ubuntu1.12.10.2) quantal; urgency=low

  * d/p/0010-datapath_ip_select_ident_fix.patch: linux commit 703133de changes
    the first parameter of ip_select_ident from iph to skb (LP: #1262692)
 -- Chris J Arges <email address hidden> Wed, 08 Jan 2014 13:54:40 -0600

Changed in openvswitch (Ubuntu Quantal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers